GNU bug report logs - #44134
28.0.50; epa-list-keys failing with ‘wrong type argument: interger-or-marker-p, nil’

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pankaj Jangid <pankaj.jangid@HIDDEN>; dated Thu, 22 Oct 2020 07:30:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44134 <at> debbugs.gnu.org:


Received: (at 44134) by debbugs.gnu.org; 22 Oct 2020 16:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 12:01:42 2020
Received: from localhost ([127.0.0.1]:53635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVd26-00063s-HG
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 12:01:42 -0400
Received: from mout.gmx.net ([212.227.15.19]:59743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1kVd24-00063e-88
 for 44134 <at> debbugs.gnu.org; Thu, 22 Oct 2020 12:01:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1603382494;
 bh=ZawnIQ8RpFif3PZTvikhrlsT3W/lB+AK7aiwRzCWKho=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=eMGAg124IwU4sySW6EHJCk6a7vbDrI+C0jjxsPPy1SzSGnuTOOtQlaIYv6XU8Hc6w
 CiKkPSnw5MGSVZtZ8j45lZB77a2mii21E7IBI/DkxNj/94Jb8cTl6slzJdo5dTC6yG
 qpyybvjTmiRppQn5dbpKIjz2Vw+Z7oYnZJ9uZ/OQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-jhalfs ([178.9.97.57]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MWRRZ-1ku9EU3QPT-00Xqv7; Thu, 22
 Oct 2020 18:01:33 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#44134: 28.0.50; epa-list-keys failing with
 =?utf-8?Q?=E2=80=98wrong?= type
 argument: interger-or-marker-p, =?utf-8?Q?nil=E2=80=99?=
References: <m2zh4ex3fj.fsf@HIDDEN>
 <878sbybreg.fsf@HIDDEN> <875z72fxwo.fsf@HIDDEN>
 <874kmmbjwk.fsf@HIDDEN> <871rhqfq84.fsf@HIDDEN>
 <87zh4e9w8t.fsf@HIDDEN>
Date: Thu, 22 Oct 2020 18:01:31 +0200
In-Reply-To: <87zh4e9w8t.fsf@HIDDEN> (Colin Baxter's message of "Thu, 22
 Oct 2020 15:21:54 +0100")
Message-ID: <87wnzidzc4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:o0oAFijRc2wC8848GNhv1RrYr6X0CaC4OyTpnWdtdG2jxcjv8+6
 xT7eczxw2uumaLOREddgbWKk1EeSNMaVRR2w5uS6y6s4w0sFYlFQxZfibESMLsL5Jj+xMjT
 iHlGqolC8ZrjaFixYDo9qFUD6o5Q/TPGi2bOyDUIlaZOgc4Q9teUZSAfmi4oGUZiOFPG5RF
 duw1ziscDssdW7OxVqnZw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:d7jL1+++YhU=:oKHP0i154T2UBKCye4+1dN
 KstxA0AiaVNZ/MVajmV29erfbuvOGR474Fl2LDuL04IdaZJf5yNy8y/0daF9go5g//bW09mPd
 y8EVvXvXUBCn9+Yhzd8nZi1RZq7uXfwxGcVNBhKupJnUTOcj12eb8YsNF+C2ARshOR/W/1Ws/
 /V2K6qXiFgabWGduoc8p8ThTEdAqRD0p3ePa83d7QTDaMFrRFiwwvnG4UinZ+OpTx+Fbt/MM1
 GIiJwIXTMFYKA5P3AG6/n18N7oHP56eAcpZTdvUKBbED9HyBSNR4b1S2n/hU1AihfWb2YqW+G
 0uOpWdkknTVLgrTXHAEhNFW4782D0d7Un+ZtV3vklCist2pV7p3OfQ/6GAc1qpLj1ue4Z/iLL
 1EHF31I09bnAT8PzoETYoeFe+Ky+V9E4HyducDDFAXHOXjefdaY8bCr9hwHWF7OQ1q1P0X0Hz
 O0CQQMiJue8nnqAAFfyW3qw++p/9mwV4kH4VUuh5/sXEHBvLWuyp4t41AfXuzxRn9KVvRK6qt
 Ad9a2ORRE2mbxTlokUL3i+BNYzCCdos4DfFnx7VHio0SXZmiZUE918q7AmgIjwACO+f6Z8h9R
 TyvS/cptzpDUnm/GQHEiOfxDnvE3yNl9lm9MG2fwmlUNkfI8kplZhDUVD7Qc6N5F+k8OvaFAi
 v+2/CB1oAyyu0hyPc9CndgwyiyPvC1LKnQLJ0eb7fNLe4VgUYyMUNFtSwxmJF2q3cSIaL7Yi7
 3IARNViCnss4wMrm6uf2uUkAme90aVZWc12rQi1xs2BJl/bFkMseJLY5v5Zi83zxdKxCANqFa
 fVG5MvmHOR5RujcUN5B8hHQU2GmbOQDFw47I4QkMXpWsT2xKYJql2t6Ub9ft88tZZ5LsBjqEK
 wfRmZBbNKGvYBa4exP5g==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44134
Cc: 44134 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, 22 Oct 2020 15:21:54 +0100 Colin Baxter <m43cap@HIDDEN> wrote:

>>>>>> Stephen Berman <stephen.berman@HIDDEN> writes:
[...]
>     >> Do you want me to apply your patch to see if it makes any
>     >> difference?
>
>     > Yes, please do.
>
> Ok, patch applied to my setup and it appears to work.

Thanks for testing.

> emacs -Q <RET>
> M-x epa-list-keys <RET> --> keys listed
> q
> M-x epa-list-keys <RET> --> keys listed
> repeated 2 more times> --> same outcome
> repeated 2 more times using epa-list-secret-keys --> keys listed
>
> Would it be possible to use 'q' to kill the keys-buffer rather than hide
> it? That way, the buffer will not display an old duplicate listing.

Well, since `q' in epa-key-list-mode is bound to epa-exit-buffer, which
funcalls epa-exit-buffer-function, which is set by default to
quit-window, and the latter kills the buffer if called with a prefix
argument, you could just type `C-u q' instead of `q'.  Or if you want
`q' by itself to kill the buffer, putting either of the following sexps
into your init file should do the trick.

(with-eval-after-load "epa"
  (setq epa-exit-buffer-function
	(lambda () (interactive) (quit-window t))))

(with-eval-after-load "epa"
  (define-key epa-key-list-mode-map "q"
    (lambda () (interactive) (quit-window t))))

The latter affects only epa-key-list-mode, while the former has wider
scope, since epa-exit-buffer-function is used in several places in
epa.el.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44134; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2020 14:22:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 10:22:08 2020
Received: from localhost ([127.0.0.1]:53294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVbTk-0003G0-I2
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 10:22:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:37192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVbTj-0003Ft-MF
 for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 10:22:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47656)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVbTj-0008Rl-CD
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 10:22:07 -0400
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:46136 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVbTh-0002dQ-FT
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 10:22:07 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVbTd-0000Cx-HN
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 16:22:01 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#44134: 28.0.50; epa-list-keys failing with
 =?utf-8?Q?=E2=80=98wrong?= type argument: interger-or-marker-p,
 =?utf-8?Q?nil=E2=80=99?=
Date: Thu, 22 Oct 2020 15:21:54 +0100
Message-ID: <87zh4e9w8t.fsf@HIDDEN>
References: <m2zh4ex3fj.fsf@HIDDEN>
 <878sbybreg.fsf@HIDDEN> <875z72fxwo.fsf@HIDDEN>
 <874kmmbjwk.fsf@HIDDEN> <871rhqfq84.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Cancel-Lock: sha1:xQkPWVOG19AljWJWXVL6KZZKeP8=
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/22 10:22:02
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FORGED_FROMDOMAIN=0.25,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

>>>>> Stephen Berman <stephen.berman@HIDDEN> writes:

    > On Thu, 22 Oct 2020 12:05:31 +0100 Colin Baxter <m43cap@HIDDEN> wrote:
    >> Hello Stephen,
    >>>>>>> Stephen Berman <stephen.berman@HIDDEN> writes:
    >> 
    >> > On Thu, 22 Oct 2020 09:23:35 +0100 Colin Baxter <m43cap@HIDDEN> wrote:
    >> >>>>>>> Pankaj Jangid <pankaj.jangid@HIDDEN> writes:
    >> >> 
    >> >> > Steps: 1. M-x epa-list-keys RET ⇒ (lists keys) 2. q 3. M-x >
    >> >> epa-list-keys RET ⇒ Wrong type argument: interger-or-marker-p,
    >> >> nil
    >> >> 
    >> >> Works for me using emacs-28.0.50 and emacs-27.1.
    >> 
    >> > It works in emacs-27 but AFAICT it cannot work with emacs -Q
    >> from > master.
    >> 
    >> I'm afraid emacs -Q does work for me on master. However, there is
    >> a subtlety in that if M-x epa-list-keys <RET> is entered first,
    >> the public keys are listed, but if entered a second time (after
    >> first entering 'q' to remove the keys buffer) the error message
    >> 
    >> epa-list-keys: Wrong type argument: integer-or-marker-p, nil
    >> 
    >> is obtained.

    > That's precisely the bug, look closely at the above recipe again!

    >> Do you want me to apply your patch to see if it makes any
    >> difference?

    > Yes, please do.

Ok, patch applied to my setup and it appears to work.

emacs -Q <RET>
M-x epa-list-keys <RET> --> keys listed
q
M-x epa-list-keys <RET> --> keys listed
repeated 2 more times> --> same outcome
repeated 2 more times using epa-list-secret-keys --> keys listed

Would it be possible to use 'q' to kill the keys-buffer rather than hide
it? That way, the buffer will not display an old duplicate listing.


Colin Baxter.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44134; Package emacs. Full text available.

Message received at 44134 <at> debbugs.gnu.org:


Received: (at 44134) by debbugs.gnu.org; 22 Oct 2020 11:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 07:35:34 2020
Received: from localhost ([127.0.0.1]:51561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVYsX-0004p3-S8
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 07:35:34 -0400
Received: from mout.gmx.net ([212.227.15.15]:46147)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1kVYsW-0004ok-5h
 for 44134 <at> debbugs.gnu.org; Thu, 22 Oct 2020 07:35:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1603366525;
 bh=rhoYMD+be6Q0KaXDVPLrlv115EbdOhl9caIWIEbjaMI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=S1Pv37qcZFZdVQt1sspmJaNqdJXRQM8ZvhMVHnLedFSVMwQaN2MAUg3bMFJzPBk6U
 6Gj2WpJ4oWwgOfhk6PMRwjEwpUuNxkHPTxc1Uya/nECHH5tmNob8UpiYrobMiZ07+A
 mrA9x5gg+Hxx3JVu4zT6K3HRNtNPttMP5we9UKVw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-jhalfs ([178.9.97.57]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MS3ir-1kyJza2LLH-00TRBh; Thu, 22
 Oct 2020 13:35:25 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#44134: 28.0.50; epa-list-keys failing with
 =?utf-8?Q?=E2=80=98wrong?= type
 argument: interger-or-marker-p, =?utf-8?Q?nil=E2=80=99?=
References: <m2zh4ex3fj.fsf@HIDDEN>
 <878sbybreg.fsf@HIDDEN> <875z72fxwo.fsf@HIDDEN>
 <874kmmbjwk.fsf@HIDDEN>
Date: Thu, 22 Oct 2020 13:35:23 +0200
In-Reply-To: <874kmmbjwk.fsf@HIDDEN> (Colin Baxter's message of "Thu, 22
 Oct 2020 12:05:31 +0100")
Message-ID: <871rhqfq84.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:nccoV48XjZisCB5J0rUCeaz+Qxq1JaYvloAVVepBG6JJd68QhRS
 I5whYqh0hod9LUVawNa8YFTNpEJjU2hITyjSmRu793Z2Es9XaGoxQpaJrLAmsCtHY39mOoX
 JWQNxA9F/PUkitn14gnskY1iCYJJVwiapjxYdgx6TtbI29BfACp3GDWuNFUsUvwi+hv7lzN
 L8cNsbUM4A1yaEGlemvdg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Av4yekQuuR8=:dmesVwjK+EWIlaFTOR3YJ2
 UJqOFpU3856mTDeCbP+qHtwfE1P6WFZ1TrP7gdPUgQyZjUukuJfKuJ7TBXbzlBRsqSwTs+SaZ
 YHM9/JN/6mCSuQSwXi2ilao4TK9DNPkAaSPDBtKpLZC2TqrFXuMYUlFgL9BLHjIiBr/fkRuqE
 pBQAf9d7uTWoEAMmT6uObc5TtBYPK78Cj4nHUO3SaPu1w5o2KLy9BejwRYjk/eBhtR3mWDY9n
 al/VvbDQpxrFhnouaZVVfoX7hvFT4ONAoo12JIIKv6I/1HKI01kz5zZVsBvrFrMg1gFNPVtSw
 ETKSde92xp9YcYbJiYqK0f40Hy2VnFrVEX0rzTJxbpLo0ERI/mPfvD1QjbkF0xE3BlJaz9YnB
 hTqaA5fLdE95dg1X6weDShYMKThSVjcYDsL2uI/EoF/AMHN7yvJ+mjGeQotDmUQDbXZ+S9foa
 RtdeLKzhl4Ztq1Y+eptKcN7kgKJoSPPMwZ57z6pe+Wq8ue5YvbLv/z5EIDFclIPu/dI26oONx
 MKgg2I5bBPhtXijSx5uwKxoAPD9Fobw+t5e7lcq5+Qj4Hp0AyQU+xoQWRKtesiaide8wCIGdu
 V10qG0iN+xCdo6GikQELvLqwTTUJNv0H91eqV95tgBtgiIheMQtoFtT+H6jp4xJdbp+h2ikv0
 h9LtlxF44SfJI9sCFt1tjAsn/D0cUmn2DW4tsJ2NxTWi4PIV4QY8FGQwCF+9uqFD9Xp/DvuX/
 UTMr1jqqx1eswVIrkSMQb/sv3sn3J585s22Y3p1VZBnRbLqielCe5GaIbl1B4ciq9rJFTBbA8
 EPao3tLrfInyeKlmx6Qj/Qn0Zo3/9Bvkn5TdwNVCo7mGJIEypo2pxhTxHJ1qzalg9CAivoofn
 d3Td2HGdi6PaTjhx9poA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44134
Cc: 44134 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, 22 Oct 2020 12:05:31 +0100 Colin Baxter <m43cap@HIDDEN> wrote:

> Hello Stephen,
>>>>>> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>     > On Thu, 22 Oct 2020 09:23:35 +0100 Colin Baxter <m43cap@HIDDEN>=
 wrote:
>     >>>>>>> Pankaj Jangid <pankaj.jangid@HIDDEN> writes:
>     >>=20
>     >> > Steps: 1. M-x epa-list-keys RET =E2=87=92 (lists keys) 2. q 3. M=
-x >
>     >> epa-list-keys RET =E2=87=92 Wrong type argument: interger-or-marke=
r-p,
>     >> nil
>     >>=20
>     >> Works for me using emacs-28.0.50 and emacs-27.1.
>
>     > It works in emacs-27 but AFAICT it cannot work with emacs -Q from
>     > master.
>
> I'm afraid emacs -Q does work for me on master. However, there is a
> subtlety in that if M-x epa-list-keys <RET> is entered first, the public
> keys are listed, but if entered a second time (after first entering 'q'
> to remove the keys buffer) the error message
>
> epa-list-keys: Wrong type argument: integer-or-marker-p, nil
>
> is obtained.

That's precisely the bug, look closely at the above recipe again!

> Do you want me to apply your patch to see if it makes any difference?

Yes, please do.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44134; Package emacs. Full text available.

Message received at 44134 <at> debbugs.gnu.org:


Received: (at 44134) by debbugs.gnu.org; 22 Oct 2020 11:05:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 07:05:45 2020
Received: from localhost ([127.0.0.1]:51522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVYPg-0001xQ-MH
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 07:05:45 -0400
Received: from forward105p.mail.yandex.net ([77.88.28.108]:41825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m43cap@HIDDEN>) id 1kVYPd-0001x8-Qc
 for 44134 <at> debbugs.gnu.org; Thu, 22 Oct 2020 07:05:43 -0400
Received: from mxback5o.mail.yandex.net (mxback5o.mail.yandex.net
 [IPv6:2a02:6b8:0:1a2d::1f])
 by forward105p.mail.yandex.net (Yandex) with ESMTP id EC9014D41945;
 Thu, 22 Oct 2020 14:05:33 +0300 (MSK)
Received: from sas2-e7f6fb703652.qloud-c.yandex.net
 (sas2-e7f6fb703652.qloud-c.yandex.net [2a02:6b8:c14:4fa6:0:640:e7f6:fb70])
 by mxback5o.mail.yandex.net (mxback/Yandex) with ESMTP id nVYwWQyekn-5XX8pPbe; 
 Thu, 22 Oct 2020 14:05:33 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1603364733; bh=rD23u7rBuTaaTmABjMpMUxd8D3e2Y3GJ7MR5jPz2FPM=;
 h=In-Reply-To:Subject:To:From:Cc:Cc:Date:References:Message-ID;
 b=gops6YCAIf5r5INY6nwBO2CQcQqbr5ASnB9Ye4hnoRzN70VzIOFpUeJC2I0p2vAzz
 rMfp0/3RCh96w2cIKwCVUpNa1Fqat+T6nv38GJfp2zgwRE1vXfzCT0ufpTv6eejkY4
 l6POLINUT9EunRQzrO5JdkDBaRnaN9WpDmVk7RJs=
Authentication-Results: mxback5o.mail.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by sas2-e7f6fb703652.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id HRWcdaeLJv-5WmabRaB; Thu, 22 Oct 2020 14:05:32 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
From: Colin Baxter <m43cap@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#44134: 28.0.50; epa-list-keys failing with
 =?utf-8?Q?=E2=80=98wrong?= type
 argument: interger-or-marker-p, =?utf-8?Q?nil=E2=80=99?=
References: <m2zh4ex3fj.fsf@HIDDEN>
 <878sbybreg.fsf@HIDDEN> <875z72fxwo.fsf@HIDDEN>
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Date: Thu, 22 Oct 2020 12:05:31 +0100
In-Reply-To: <875z72fxwo.fsf@HIDDEN> (Stephen Berman's message of "Thu, 22
 Oct 2020 10:49:27 +0200")
Message-ID: <874kmmbjwk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44134
Cc: , 44134 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello Stephen,
>>>>> Stephen Berman <stephen.berman@HIDDEN> writes:

    > On Thu, 22 Oct 2020 09:23:35 +0100 Colin Baxter <m43cap@HIDDEN> w=
rote:
    >>>>>>> Pankaj Jangid <pankaj.jangid@HIDDEN> writes:
    >>=20
    >> > Steps: 1. M-x epa-list-keys RET =E2=87=92 (lists keys) 2. q 3. M-x=
 >
    >> epa-list-keys RET =E2=87=92 Wrong type argument: interger-or-marker-=
p,
    >> nil
    >>=20
    >> Works for me using emacs-28.0.50 and emacs-27.1.

    > It works in emacs-27 but AFAICT it cannot work with emacs -Q from
    > master.

I'm afraid emacs -Q does work for me on master. However, there is a
subtlety in that if M-x epa-list-keys <RET> is entered first, the public
keys are listed, but if entered a second time (after first entering 'q'
to remove the keys buffer) the error message

epa-list-keys: Wrong type argument: integer-or-marker-p, nil

is obtained.

Do you want me to apply your patch to see if it makes any difference?

Best wishes,

Colin Baxter.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44134; Package emacs. Full text available.

Message received at 44134 <at> debbugs.gnu.org:


Received: (at 44134) by debbugs.gnu.org; 22 Oct 2020 08:49:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 04:49:38 2020
Received: from localhost ([127.0.0.1]:51452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVWHy-0006rm-I6
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 04:49:38 -0400
Received: from mout.gmx.net ([212.227.17.22]:52703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1kVWHw-0006rY-RO
 for 44134 <at> debbugs.gnu.org; Thu, 22 Oct 2020 04:49:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1603356570;
 bh=KYEggWRjvK9zfWbZBkzrO3wZ1N9+WvYSqXt53kmFzps=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=jPGuxhefVPU6eisQyR0cv3AfgLFvymLKucDHF5o6alhLAviKG+CclcuueAOuPc7Ch
 jyVz8bSPqLAqYZbYtqOBGAGsyfMESDK8x8Hqqsk9i1sbhf0Fge6OuGp3CmdKKJYmV0
 Lj1S1q3qhKO7aNAvigmg4gOKHvuN5ixtAgfRagZ4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-jhalfs ([178.9.97.57]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MfHEJ-1juYZF0uqZ-00grTh; Thu, 22
 Oct 2020 10:49:30 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#44134: 28.0.50; epa-list-keys failing with
 =?utf-8?Q?=E2=80=98wrong?= type
 argument: interger-or-marker-p, =?utf-8?Q?nil=E2=80=99?=
References: <m2zh4ex3fj.fsf@HIDDEN>
 <878sbybreg.fsf@HIDDEN>
Date: Thu, 22 Oct 2020 10:49:27 +0200
In-Reply-To: <878sbybreg.fsf@HIDDEN> (Colin Baxter's message of "Thu, 22
 Oct 2020 09:23:35 +0100")
Message-ID: <875z72fxwo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:Jqh/k3n0BytJmV0iCPYhcX+gq9ZWBJOPTrQrhmqN/rHbdVsUrB6
 9mhP9h9VzPnaa0JtXYPH6Pp3Tar5fjKKGcfdUZu6pqVvUtZ/V7fkTDSF/mjPbRFtTRtbCqf
 bXNvGTcM0VwbWKcNZYUCwobfGZsHdxLI8oSQyGaGMbfMiH9x2KuTMpGBbLHb5I5ivZEmSCD
 tPUQw1JUhmmsmNVGC15nw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:1av4u5hX3BU=:k6NHjlO7nCZZCOMxOt+cKu
 p91/Mp3JrMWfPGM11TqtJ74pILaP6+mInV9r7KKytuQNkmNZqt2TMglRPwnWVF3kcKZZvAAXx
 dVMS8ltc05Khty21wR3liZSkcbKSmoXEcaQfCSOZexoBGdkgiLaglM9iUH0fH0mQl60cEWiTp
 gHKuY0gszFFyBFRGOkLBglBFjXH8t+jo6+Hx6gapP15eAdDBWGRtsp2qSHJfF6lKd1T6DI4gZ
 sOutiYssQ0hoVG8yI1hwuBx6PWGSJDix82260JT9UAD5C+qxHZROSWVrAjor8nAyrzlzWaC3g
 cM45L77y2AvVRaJnRLiTsO/IKpNJHF9lfbwN+6HT+wAziAvPhTgUwG0I5M7meeXDMs9GZtH+C
 eX5P4MIAlxbjcKkAtCYr/bYM1dJzD6rRDU33visrEuI5UxW4HoC2VMCs1Mr2q0Yr2sL8X6UQg
 ohjFI+7gYN413sAZKzC4FhfQ0gJUOf/L2QoAWFedFnvpDToPxyMKAri6TZonHCUlGYMSSjbCk
 Xqf2H/CmE/guLldQnLnam8XzGzs8roz5wq4BjmMm8CjgYls/w6FRWTqikfyxBjdX5GcFrmhSx
 0gBTaSgibQ0NBezTgYzYtGRrRz9B5sQAg52Hk84SvsViBmFe8gK7UxL0kRb7UHKGXJ+jOFSjA
 cOs2IJ515XIk8ea7IaTVszDTlhR/H6O6GOcJIVkYASBq6fDOS1FeugKDMZGDIIqgz2vEHJAK5
 FXwoA9PCTUoNjQ96wSysJauUAAE7ThXojTSh4payMWcqZWcpx6G7ReH95gfwZCMyLyAW2lDEj
 1CNcdzSAZlbZCg/52Y+3HgMScBgEVZiqt/n6uRyXQHLqjUDrJArH6WnZl73s8L47agHuoAFyS
 sSzFaMF9RaeubgZQJfIw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44134
Cc: 44134 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Thu, 22 Oct 2020 09:23:35 +0100 Colin Baxter <m43cap@HIDDEN> wrote:

>>>>>> Pankaj Jangid <pankaj.jangid@HIDDEN> writes:
>
>     > Steps: 1. M-x epa-list-keys RET =E2=87=92 (lists keys) 2. q 3. M-x
>     > epa-list-keys RET =E2=87=92 Wrong type argument: interger-or-marker=
-p, nil
>
> Works for me using emacs-28.0.50 and emacs-27.1.

It works in emacs-27 but AFAICT it cannot work with emacs -Q from
master.  If you did use -Q with emacs-28, did you perhaps kill the
buffer is step 2 instead of typing `q'?

Here's a patch for master, but someone who knows epa.el well should
verify it:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline
Content-Description: epa--list-keys patch
Content-Transfer-Encoding: quoted-printable

diff --git a/lisp/epa.el b/lisp/epa.el
index 25e055c201..74a72ee6f8 100644
=2D-- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -360,8 +360,8 @@ epa--list-keys

     ;; Find the end of the documentation text at the start.
     ;; Set POINT to where it ends, or nil if ends at eob.
-    (unless (get-text-property point 'epa-list-keys)
-      (setq point (next-single-property-change point 'epa-list-keys)))
+    (unless (get-text-property point 'epa-key)
+      (setq point (next-single-property-change point 'epa-key)))

     ;; If caller specified documentation text for that, replace the old
     ;; documentation text (if any) with what was specified.
@@ -375,7 +375,7 @@ epa--list-keys
     ;; Now delete the key description text, if any.
     (when point
       (delete-region point
-		     (or (next-single-property-change point 'epa-list-keys)
+		     (or (next-single-property-change point 'epa-key)
 			 (point-max)))
       (goto-char point))


--=-=-=
Content-Type: text/plain


Steve Berman

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44134; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2020 08:23:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 04:23:51 2020
Received: from localhost ([127.0.0.1]:51393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVVt1-0006B4-Aw
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 04:23:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:40472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVVsz-0006Ax-VN
 for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 04:23:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47632)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVVsw-00031V-6v
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 04:23:49 -0400
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:35068 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVVsu-0005b2-46
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 04:23:45 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kVVsq-0005DO-QS
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 10:23:40 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#44134: 28.0.50; epa-list-keys failing with
 =?utf-8?Q?=E2=80=98wrong?= type argument: interger-or-marker-p,
 =?utf-8?Q?nil=E2=80=99?=
Date: Thu, 22 Oct 2020 09:23:35 +0100
Message-ID: <878sbybreg.fsf@HIDDEN>
References: <m2zh4ex3fj.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Cancel-Lock: sha1:pDlKRfWcQSQyRve+OS9ks89i0+E=
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/22 04:23:41
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FORGED_FROMDOMAIN=0.25,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

>>>>> Pankaj Jangid <pankaj.jangid@HIDDEN> writes:

    > Steps: 1. M-x epa-list-keys RET ⇒ (lists keys) 2. q 3. M-x
    > epa-list-keys RET ⇒ Wrong type argument: interger-or-marker-p, nil

Works for me using emacs-28.0.50 and emacs-27.1.

Best wishes





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44134; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2020 07:29:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 22 03:29:05 2020
Received: from localhost ([127.0.0.1]:51303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVV21-0004iL-0i
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 03:29:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:43528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj.jangid@HIDDEN>) id 1kVSgF-0000MR-8Q
 for submit <at> debbugs.gnu.org; Thu, 22 Oct 2020 00:58:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58870)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pankaj.jangid@HIDDEN>)
 id 1kVSgF-0008Nr-05
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 00:58:27 -0400
Received: from mail-pj1-x102f.google.com ([2607:f8b0:4864:20::102f]:53127)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pankaj.jangid@HIDDEN>)
 id 1kVSgD-0007aI-4X
 for bug-gnu-emacs@HIDDEN; Thu, 22 Oct 2020 00:58:26 -0400
Received: by mail-pj1-x102f.google.com with SMTP id o1so356941pjt.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 21 Oct 2020 21:58:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-com.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=HymKzaLauXc7N71cC01n1/+6kNWfyO9yXaH3CiJuvns=;
 b=NV3yS13N0XnBz6Obwj2RsvO7jWHfFGRRjZtj2q+dLFhvyJLI3wWM0lK/3ppmxwXo0q
 ovpOHzvuYJveu+pKApIohqDG95dCZuTrF1dobkYDYlfWZ5dAk6Y5ssRWBLbK7NgguAz6
 t48Xh+nuJQcxImomLno0sDAAXNSiWI+VkYqo9PscuzvkVuXXZquYe10VqQZ6gO5rNHrD
 e9ngfCGVhxo4hb3mWoB9vNlR93ERq30DtLdGZ53TaPWZM2E/NVuOu4sP7Jh9i77rXvTD
 JjVVbPM18KUSsp1RTfw/JUXGi0SHiSiLu/plsNd2ygHuywrjZn7NPvAo7COapXFMlAAQ
 0pyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=HymKzaLauXc7N71cC01n1/+6kNWfyO9yXaH3CiJuvns=;
 b=DEM2PGZDe4nKFH3mM2WCUpyst5uWLc6+Q/E2YFO0Bo24Hhz/Ip5RD97mlrwZEA5ykE
 gNC2dCQ8KLaSLkQ8okxY8DGiqMuVF3EnN1VR80NL+ANhAJszrq1P8GpF/46ChcxXkk02
 sVS0XRu9kGZnNOVOn4TlLbGc1M9lNrhjGkaZOXSRZhSMznnLjygS48EUxhiebwxHBQjq
 Al1yruZ0WX6UCBfDfpS9bQhfIoP7GWsXrFil6oHn1AeNqbi5by9RbbkPNprhKhFRMQyW
 d6PH4W2sfUxT5YXYfHGFXdH78kQI1gl1luOUEI36U41HpsZhXP6zo2OfLuW6aE2qVJxW
 DZVA==
X-Gm-Message-State: AOAM5335brc3vHaMqUflfefOdeko/uecCJM0qbHvoquFQi75b8azAllb
 JXjUxFnmhr0gjXpjIPP6Dw/cmABP3QZOng==
X-Google-Smtp-Source: ABdhPJyQoNWPd22ylnSND6KwoclIX5wE18rN+fT+aytOOUhCnEmo2Y1ZuaZJ214asYJx4P+WKkK6Zg==
X-Received: by 2002:a17:902:bb81:b029:d5:b437:edb4 with SMTP id
 m1-20020a170902bb81b02900d5b437edb4mr771973pls.6.1603342703014; 
 Wed, 21 Oct 2020 21:58:23 -0700 (PDT)
Received: from mb2.local ([2405:201:5c06:7059:d0a7:2a34:c761:11f8])
 by smtp.gmail.com with ESMTPSA id d194sm415280pfd.172.2020.10.21.21.58.21
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Oct 2020 21:58:22 -0700 (PDT)
From: Pankaj Jangid <pankaj.jangid@HIDDEN>
X-Google-Original-From: Pankaj Jangid <pankaj@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; epa-list-keys failing with =?utf-8?Q?=E2=80=98wrong?= type
 argument: interger-or-marker-p, =?utf-8?Q?nil=E2=80=99?=
Date: Thu, 22 Oct 2020 10:28:08 +0530
Message-ID: <m2zh4ex3fj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: none client-ip=2607:f8b0:4864:20::102f;
 envelope-from=pankaj.jangid@HIDDEN; helo=mail-pj1-x102f.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 22 Oct 2020 03:29:03 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Steps:
        1. M-x epa-list-keys RET
           =E2=87=92 (lists keys)
        2. q
        3. M-x epa-list-keys RET
           =E2=87=92 Wrong type argument: interger-or-marker-p, nil


In GNU Emacs 28.0.50 (build 6, x86_64-apple-darwin19.6.0, NS appkit-1894.60=
 Version 10.15.7 (Build 19H2))
 of 2020-10-22 built on mb2.local
Repository revision: 8dc8ab6b42b021f9796e59cfdb758b48aaf55ffc
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Configured using:
 'configure LDFLAGS=3D-L/usr/local/opt/ruby/lib
 CPPFLAGS=3D-I/usr/local/opt/ruby/include
 PKG_CONFIG_PATH=3D:/usr/local/opt/sqlite/lib/pkgconfig:/usr/local/opt/libx=
ml2/lib/pkgconfig:/usr/local/opt/openssl/lib/pkgconfig:/usr/local/opt/libff=
i/lib/pkgconfig:/usr/local/opt/ruby/lib/pkgconfig'

Configured features:
JPEG TIFF GIF PNG RSVG DBUS GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS NS MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LC_CTYPE: UTF-8
  value of $LANG: en_IN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr iso-transl emacsbug message rmc puny dired
dired-loaddefs rfc822 mml easymenu mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map text-property-search
time-date subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/ns-win ns-win ucs-normalize
mule-util term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind kqueue cocoa ns
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 54732 6788)
 (symbols 48 6814 1)
 (strings 32 18175 3060)
 (string-bytes 1 608370)
 (vectors 16 12578)
 (vector-slots 8 169348 12299)
 (floats 8 21 47)
 (intervals 56 213 0)
 (buffers 992 11))

--=20
Pankaj




Acknowledgement sent to Pankaj Jangid <pankaj.jangid@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44134; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Oct 2020 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.